!sample program about flx data
program main
implicit none
! UTC_N   : UTC Nominal Date/Time yyyy/mm/dd HH:MM
! UTC_A   : UTC Actual Date/Time yyyy/mm/dd HH:MM
! CSE     : CSE Identifier
! RS_I    : Refarence Site Identifier
! St_I    : Station Identifier
! Lat     : Latitude  decimal degrees. South is negative
! Lon     : Longitude decimal degrees. West is negative
! Elev    : Elevation meters
! Ssr_h   : Sensor height (m)
! Hflx    : Sensible Heat Flux (W/m^2)
! lEflx   : Latent Heat Flux (W/m^2)
! CO2flx  : CO2 Flux
! s_h_flx : Soil Heat Flux (W/m^2)
! F_*     : Flag about each data
integer i
real Lat,Lon,Elev,Ssr_h,Hflx,lEflx,CO2flx,s_h_flx
character UTC_N*16,UTC_A*16,CSE*10,RS_I*15,St_I*15
character F_Hflx*1,F_lEflx*1,F_CO2flx*1,F_s_h_flx*1
open(1,file='../MRI2/CEOP_Tsukuba_MRI_20070101-20070630.flx')
!open(2,file='TESTMRI.flx')
do i=1,26064
read(1,'(2(a16,1x),a10,2(1x,a15),1x,f10.5,1x,f11.5,1x,f7.2, &
& 1x,f7.2,4(1x,f8.2,1x,a1))') UTC_N,UTC_A,CSE,RS_I,St_I, &
& Lat,Lon,Elev,Ssr_h,Hflx,F_Hflx,lEflx,F_lEflx,CO2flx,F_CO2flx, &
& s_h_flx,F_s_h_flx
!write(2,'(2(a16,1x),a10,2(1x,a15),1x,f10.5,1x,f11.5,1x,f7.2, &
!& 1x,f7.2,4(1x,f8.2,1x,a1))') UTC_N,UTC_A,CSE,RS_I,St_I, &
!& Lat,Lon,Elev,Ssr_h,Hflx,F_Hflx,lEflx,F_lEflx,CO2flx,F_CO2flx, &
!& s_h_flx,F_s_h_flx
end do
close(1)
close(2)
stop
end

